﻿#Cotacao .side-right {
    background-color: var(--corPrincipal);
    color: var(--corTexto);
    flex-basis: 50%;
    font-family: var(--fontPadrao);
    font-weight: 500;
    display: grid;
    grid-template-rows: 55% 20% 25%;
    align-items: end;
}

#Cotacao .side-left .board {
    margin-top: auto;
    margin-bottom: auto;
    padding: 1rem;
    max-width: 35rem;
}


#Cotacao .side-left #Desclaimer {
    display: none;
    margin-top: 1rem;
}

#Cotacao {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
    height: 100vh;
    background-color: var(--corPrincipal);
}


/*--------------------------- Detalhes Plano ---------------------------*/

#DetalhesPlano #DetalhesBox {
    max-height: 700px;
    overflow-y: auto;
}

#DetalhesPlano #DetalhesHeader {
    color: #777;
}

#DetalhesPlano .btn-contratar {
    max-width: 300px
}

.cor-principal {
    display: block;
}

/*--------------------------- Detalhes Plano ---------------------------*/


/*--------------------------- Stepper ---------------------------*/
.stepper {
    list-style: none;
    display: flex;
    padding: 50px 0;
}

    .stepper .stepper-item {
        flex-basis: calc(100% / 4);
        text-align: center;
        position: relative;
        display: flex;
        justify-content: center;
        opacity: 0.5;
        z-index: 1;
    }

        .stepper .stepper-item.active {
            opacity: 1;
        }

        .stepper .stepper-item:not(:first-of-type)::before {
            content: '';
            width: calc(100% - 0.5rem);
            height: 0.2rem;
            top: 50%;
            right: 50%;
            transform: translate(0, -50%);
            position: absolute;
            background-color: var(--corSecundaria);
            display: block;
        }

        .stepper .stepper-item .step-counter {
            width: 1rem;
            height: 1rem;
            background-color: var(--corSecundaria);
            border-radius: 50%;
            display: inline-block;
            position: relative;
        }

            .stepper .stepper-item .step-counter::after {
                content: var(--info);
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, 50%);
                font-size: 0.8rem;
            }
/*--------------------------- End Stepper ---------------------------*/



#Segurados .side-left form .botoes {
    display: flex;
    gap: 1rem;
    margin-bottom: 2rem;
}


#Pagamento {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f5f5f5;
    padding: 3rem;
}

    #Pagamento .card-pagamento {
        max-width: 70rem;
        width: 100%;
        background-color: #fff;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
        border-radius: 25px;
        padding: 2rem clamp(1rem, 10vw, 10rem);
    }

        #Pagamento .card-pagamento .stepper {
            max-width: 30rem;
            margin-left: auto;
            margin-right: auto;
            padding: 50px 0;
        }

        #Pagamento .card-pagamento #Desclaimer {
            margin-top: 2rem;
            font-size: 0.8rem;
        }

            #Pagamento .card-pagamento #Desclaimer div:nth-child(2) {
                display: none;
            }


@media(max-width: 670px) {

    #DetalhesBox {
        font-size: 12px;
        background-color: #fff;
        padding: 8px;
        border-radius: 10px;
        margin-top: 10px;
        overflow-x: hidden;
        color: var(--corPrincipal) !important;
    }

        #DetalhesBox .titulo-detalhes-plano {
            font-size: 13px;
        }

        #DetalhesBox #DetalhesCorpo {
            padding: 0 10px;
            height: 400px;
            overflow-y: auto;
            overflow-x: hidden;
        }

    #DetalhesPlano {
        background-color: #ddd;
    }

    #Pagamento .card-pagamento {
        padding: 1rem;
    }

    #Pagamento {
        padding: 1rem;
    }
}

#Pagamento .card-pagamento form .cartao-credito .bandeiras-aceitas {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
    width: 50%;
}

.cartao-credito {
    display: none;
}

.select2-container--default .select2-selection--multiple {
    display: block;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 0.25rem 4px;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

@media(max-width: 1000px) {
    #Desclaimer {
        padding: 0px;
        margin: 0px !important;
    }
}